import { Component } from '@angular/core';
import { RouterModule } from '@angular/router';
import { HermesClientService } from '../../hermes-client.service';
import { ApiAuthenticationService } from '../../shared/services/api/api-authentication.service';
import { MatCardModule } from '@angular/material/card';
import { AuthModule } from '../../auth/auth.module';
import { MatButtonModule } from '@angular/material/button';
import { MatSidenavModule } from '@angular/material/sidenav';
import { MatToolbarModule } from '@angular/material/toolbar';
import { MatIconModule } from '@angular/material/icon';

@Component({
  selector: 'sidebar',
  standalone: true,
  imports: [
    AuthModule,
    MatButtonModule,
    MatCardModule,
    MatIconModule,
    MatSidenavModule,
    MatToolbarModule,
    RouterModule,
  ],
  templateUrl: './sidebar.component.html',
  styleUrl: './sidebar.component.scss'
})
export class SidebarComponent {
  constructor(private auth: ApiAuthenticationService, private hermes: HermesClientService) { }

  isLoggedIn() {
    return this.auth.isAuthenticated();
  }

  isAdmin() {
    return this.isLoggedIn() && this.auth.isAdmin()
  }

  isTTSLoggedIn() {
    return this.hermes?.logged_in ?? false;
  }
}