import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import ApiKey from '../models/api-key';
import { ApiKeyService } from '../services/api/api-key.service';

@Injectable({ providedIn: 'root' })
export default class ApiKeyResolver implements Resolve<ApiKey[]> {
  constructor(private service: ApiKeyService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ApiKey[]> {
    return this.service.fetch();
  }
}