import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { Observable } from 'rxjs';
import { ConnectionService } from '../services/connection.service';
import { ConnectionState } from '../models/connection-state';

@Injectable({ providedIn: 'root' })
export default class ConnectionResolver implements Resolve<ConnectionState[]> {
  constructor(private service: ConnectionService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<ConnectionState[]> {
    return this.service.fetch();
  }
}