import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { map, Observable } from 'rxjs';
import GroupService from '../services/group.service';
import { GroupChatter } from '../models/group-chatter';

@Injectable({ providedIn: 'root' })
export default class GroupChatterResolver implements Resolve<GroupChatter[]> {
  constructor(private service: GroupService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<GroupChatter[]> {
    return this.service.fetch().pipe(map((i: any) => i.chatters));
  }
}