import { Injectable } from '@angular/core';
import { Resolve, ActivatedRouteSnapshot, RouterStateSnapshot } from '@angular/router';
import { map, Observable } from 'rxjs';
import { Group } from '../models/group';
import GroupService from '../services/group.service';

@Injectable({ providedIn: 'root' })
export default class GroupResolver implements Resolve<Group[]> {
  constructor(private service: GroupService) { }

  resolve(route: ActivatedRouteSnapshot, state: RouterStateSnapshot): Observable<Group[]> {
    return this.service.fetch().pipe(map((i: any) => i.groups));
  }
}