import { AbstractControl, ValidationErrors, ValidatorFn } from "@angular/forms";


export function createTypeValidator(type: string): ValidatorFn {
  return (control: AbstractControl): ValidationErrors | null => {
    const value = control.value;

    if (!value)
      return null;

    const matches = value.constructor.name === type
    return matches ? null : { invalidType: 'Invalid choice.' };
  }
}