import { Component, inject, Input } from '@angular/core';
import { FilterItemComponent } from '../filter-item/filter-item.component';
import { Filter } from '../../shared/models/filter';
import { HermesClientService } from '../../hermes-client.service';

@Component({
  selector: 'tts-filter-list',
  standalone: true,
  imports: [FilterItemComponent],
  templateUrl: './filter-list.component.html',
  styleUrl: './filter-list.component.scss'
})
export class FilterListComponent {
  @Input() filters: Filter[] = [];
  client = inject(HermesClientService);

  deleteFilter(e: any): void {
    this.client.deleteTTSFilter(e.id);
  }
}